Package dev.plex

# Class PlexLibraryManager

java.lang.Object
dev.plex.PlexLibraryManager

All Implemented Interfaces:
  `io.papermc.paper.plugin.loader.PluginLoader`

public class PlexLibraryManager extends Object implements io.papermc.paper.plugin.loader.PluginLoader

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`private static final record`
`PlexLibraryManager.PluginLibraries`

## Constructor Summary

Constructors
Constructor
Description
`PlexLibraryManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`classloader(@NotNull io.papermc.paper.plugin.loader.PluginClasspathBuilder classpathBuilder)`
`PlexLibraryManager.PluginLibraries`
`load()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlexLibraryManager

public PlexLibraryManager()

## Method Details

### classloader

public void classloader(@NotNull @NotNull io.papermc.paper.plugin.loader.PluginClasspathBuilder classpathBuilder)

Specified by:
  `classloader` in interface `io.papermc.paper.plugin.loader.PluginLoader`

### load

public PlexLibraryManager.PluginLibraries load()